CRAN Package Check Results for Package peptider

Last updated on 2014-04-16 18:47:52.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.1.2 1.29 17.70 18.99 OK
r-devel-linux-x86_64-debian-gcc 0.1.2 1.25 17.78 19.03 OK
r-devel-linux-x86_64-fedora-clang 0.1.2 19.90 OK
r-devel-linux-x86_64-fedora-gcc 0.1.2 19.36 OK
r-devel-macosx-x86_64-clang 0.1.2 29.20 OK
r-devel-macosx-x86_64-gcc 0.1.2 ERROR
r-devel-windows-ix86+x86_64 0.1.2 4.00 28.00 32.00 OK
r-patched-linux-x86_64 0.1.2 1.24 17.39 18.63 OK
r-patched-solaris-sparc 0.1.2 215.00 OK
r-patched-solaris-x86 0.1.2 48.70 OK
r-release-linux-ix86 0.1.2 3.00 34.00 37.00 OK
r-release-linux-x86_64 0.1.2 1.23 17.61 18.84 OK
r-release-macosx-x86_64 0.1.2 OK
r-release-windows-ix86+x86_64 0.1.2 3.00 28.00 31.00 OK
r-oldrel-windows-ix86+x86_64 0.1.2 4.00 28.00 32.00 OK

Check Details

Version: 0.1.2
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘ggplot2’
Flavor: r-devel-macosx-x86_64-gcc

Version: 0.1.2
Check: examples
Result: ERROR
    Running examples in ‘peptider-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: detect
    > ### Title: Detection probability in a single library of size N
    > ### Aliases: detect
    >
    > ### ** Examples
    >
    > summary(detect())
     Min. 1st Qu. Median Mean 3rd Qu. Max.
    0.003628 0.093480 0.230300 0.291500 0.426300 0.999600
    >
    > require(ggplot2)
    Loading required package: ggplot2
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called ‘ggplot2’
    > lib <- libscheme("NNK", 7)
    > qplot(detect(lib, size=10^8), weight=di, geom="histogram", data=lib$data)
    Error: could not find function "qplot"
    Execution halted
Flavor: r-devel-macosx-x86_64-gcc